//==========================================
// Cough Cough... to many smoke... its smoke effect when firing your gun
// and Thirdperson model
//=================================================

class ShermanAttachment extends xWeaponAttachment;

var class<Emitter>         mMuzFlashClass;
var Emitter                mMuzFlash3rd;

simulated function Destroyed()
{
    if (mMuzFlash3rd != None)
        mMuzFlash3rd.Destroy();
	Super.Destroyed();
}

simulated event ThirdPersonEffects()
{
    local rotator r;

    if ( Level.NetMode != NM_DedicatedServer && FlashCount > 0 )
	{
		WeaponLight();
        if (mMuzFlash3rd == None)
       {
            mMuzFlash3rd = Spawn(mMuzFlashClass);
            AttachToBone(mMuzFlash3rd, 'tip');
      }
     if (mMuzFlash3rd != None)
	           {
	               r.Roll = Rand(65536);
	               SetBoneRotation('Bone_Flash', r, 0, 1.f);
	               mMuzFlash3rd.SpawnParticle(1);
	           }
	       }

	       Super.ThirdPersonEffects();
}
// mMuzFlash3rd.SpawnParticle(1);

defaultproperties
{
    mMuzFlashClass=class'mmcannon.ShermanFireEffect'

    bHeavy=true
    bRapidFire=true
    bAltRapidFire=false
    Mesh=Mesh'Sherman75mmcannon.Thirdperson'

    bDynamicLight=false
    LightType=LT_Pulse
    LightEffect=LE_NonIncidence
    LightPeriod=3
    LightBrightness=255
    LightHue=30
    LightSaturation=150
    LightRadius=5.0
	CullDistance=+5000.0
    SplashEffect=class'BulletSplash'
    RelativeLocation=(X=-20.0,Y=-5.0,Z=0.0)
    RelativeRotation=(Pitch=32768)
}
