//=========================================================
// Firstperson view with smoke effect when firing your weapon
//=========================================================

class ShermanMuzFlash1st extends xEmitter;

#exec OBJ LOAD FILE=xGameShaders.utx
var class<Emitter>         mMuzFlashClass;
var Emitter                mMuzFlash3rd;
var int mNumPerFlash;

function Destroyed()
{
    Super.Destroyed();

    if (mMuzFlash3rd != None)
        mMuzFlash3rd.Destroy();
}

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
    Local Emitter E;
	E = Spawn(class'mmcannon.ShermanFireEffect');
	E.SetBase(self);
}

defaultproperties
{
	DrawScale=5.0
    mTileAnimation=true
    mNumTileRows=2
    mNumTileColumns=2
    mNumPerFlash=5
	mStartParticles=0
	mMaxParticles=5
	mLifeRange(0)=0.10000
	mLifeRange(1)=0.15000
	mRegenRange(0)=0.0
	mRegenRange(1)=0.0
	mSpeedRange(0)=0.000000
	mSpeedRange(1)=0.000000
	mAirResistance=0.000000
	mSizeRange(0)=0.0500000
	mSizeRange(1)=0.080000
	mGrowthRate=3.00000
	mSpawnVecB=(Z=0.000000)
	mParticleType=PT_Mesh
	mPosRelative=True
	mRandOrient=false
	mRandTextures=True
	Skins(0)=FinalBlend'XGameShaders.WeaponShaders.FlakFlashFinal'
	mMeshNodes(0)=StaticMesh'FlakMuzFlashMesh'
	Style=STY_Additive
}
